updatesubscriptionbalanceentry.md
Update Subscription Balance Entry
Update the tags for an existing Subscription Balance Entry.
Endpoint: PUT /subscriptions/{subscription_id}/subscription_balance_entries/{subscription_balance_entry_id}
Security: BasicAuth
Path parameters:
subscription_id(string, required)
The ID of the Subscription.
Example: "subscription_cAqNtRY2oKTJWbjMSDgrk"subscription_balance_entry_id(string, required)
The ID of the Subscription Balance Entry.
Header parameters:
Finix-Version(string)
Specify the API version of your request. For more details, see Versioning.
Example: "2022-02-01"Content-Type(string)
The data type being sent in the request body must be application/json.
Example: "application/json"
Request fields (application/json):
tags(object,null)
Include up to 50 key: value pairs to annotate requests with custom metadata.- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500. (For example, order_number: 25, item_type: produce, department: sales)
Response 200 fields (application/json):
id(string)
The ID of the resource.created_at(string)
Timestamp of when the object was created.updated_at(string)
Timestamp of when the object was last updated.amount(integer)
The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
Example: 5000currency(string)
ISO 4217 3-letter currency code. Currently, the only currency supported is USD.
Enum: "USD"description(string)
Describes the circumstances for the subscription credit.subscription_id(string)
The Subscription that was credited.type(string)
The value of this field will always be CREDIT.
Response 400 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 401 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 403 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 404 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 406 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.